Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 258919 - Add Pin watches
Add Pin watches
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.2
All All
: P1 with 1 vote (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
:
Depends on: 215073
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-20 10:34 UTC by Vladimir Voskresensky
Modified: 2016-08-02 01:58 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2016-04-20 10:34:34 UTC
https://netbeans.org/bugzilla/show_bug.cgi?id=215073 is done.

Please, add Pin watches to our debugger as well. 
It is very useful feature.
Btw, see https://netbeans.org/bugzilla/show_bug.cgi?id=258918 to not introduce the problem
Comment 2 Quality Engineering 2016-04-25 19:56:18 UTC
Integrated into 'main-silver', will be available in build *201604251813* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/da406531b42c
User: Nikolay Koldunov <henk89@netbeans.org>
Log: Fixed #258919 - Add Pin watches
Comment 3 Quality Engineering 2016-04-29 01:50:30 UTC
Integrated into 'main-silver', will be available in build *201604290002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/74d8c1fc083f
User: Nikolay Koldunov <henk89@netbeans.org>
Log: Fixed #258919 - I18N
Comment 6 Quality Engineering 2016-06-23 01:49:15 UTC
Integrated into 'main-silver', will be available in build *201606230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f5fb5e3ba598
User: Nikolay Koldunov <henk89@netbeans.org>
Log: Fixed #258919 - Add Pin watches
Comment 7 Maria Tishkova 2016-07-13 12:07:38 UTC
Last fix in:

changeset:   299048:06160eb21a43
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Wed Jul 13 15:06:57 2016 +0300
summary:     fixed bz#258919 -  Add Pin watches



The small problem left is left upper cornet is used when pint balloon is sticked already instead of left bottom. Need to file separate BZ on spi.debugger.ui (ToolTipUI$PinListener$actionPerformed)
Comment 8 Quality Engineering 2016-07-14 01:51:46 UTC
Integrated into 'main-silver', will be available in build *201607140002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/06160eb21a43
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#258919 -  Add Pin watches


The small problem left is left upper cornet is used when pint balloon is sticked already instead of left bottom. Need to file separate BZ on spi.debugger.ui (ToolTipUI$PinListener$actionPerformed uses )
Comment 9 Quality Engineering 2016-08-02 01:58:03 UTC
Integrated into 'main-silver', will be available in build *201608020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/547ce5970e28
User: Maria Dalmatova <mromashova@netbeans.org>
Log: add fix bz#258919 -  Add Pin watches
increment spec version of gdb


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo